Bug 817172 - [REST API] Return gear profile size on /gear_groups
[REST API] Return gear profile size on /gear_groups
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
1.x
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 18:06 EDT by Clayton Coleman
Modified: 2012-06-08 13:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-04-27 18:06:45 EDT
The broker/rest/domains/<id>/applications/<id>/gears call does not return gear_profile for each gear entry.  UI needs that in order to display the correct gear info.

Not 100% blocking for sprint 11 but would be nice to have it when we implement for the CLI.
Comment 1 Krishna Raman 2012-05-02 21:03:15 EDT
https://github.com/openshift/crankcase/pull/10
Comment 2 Krishna Raman 2012-05-03 21:21:24 EDT
Closed pull reuest. Making this bug a DUP of 818416

*** This bug has been marked as a duplicate of bug 818416 ***
Comment 3 Clayton Coleman 2012-05-15 17:02:01 EDT
Need this info on /gear_groups - reopen because the dup didn't solve it (probably cause this defect was vague).
Comment 4 Abhishek Gupta 2012-05-30 13:43:22 EDT
https://github.com/openshift/crankcase/pull/75 has been merged
Comment 5 yquan 2012-05-31 01:09:36 EDT
This bug is fixed on devenv_1809

Output:

[gear_groups]

[root@localhost ~]# curl -k -H "Accept: application/xml" --user "yquan@redhat.com:asdfasdf1"  https://ec2-23-22-34-219.compute-1.amazonaws.com/broker/rest/domains/domaintest0002/applications/php0/gear_groups -X GET
<?xml version="1.0" encoding="UTF-8"?>
<response>
  <type>gear_groups</type>
  <data>
    <gear-group>
      <cartridges>
        <cartridge>
          <name>php-5.3</name>
        </cartridge>
        <cartridge>
          <name>haproxy-1.4</name>
        </cartridge>
      </cartridges>
      <name>@@app/comp-proxy/cart-haproxy-1.4</name>
      <gears>
        <gear>
          <state>started</state>
          <id>5c665c90243b4a6d91fe49a246d64056</id>
        </gear>
      </gears>
    </gear-group>
    <gear-group>
      <cartridges>
        <cartridge>
          <name>php-5.3</name>
        </cartridge>
      </cartridges>
      <name>@@app/comp-web/cart-php-5.3</name>
      <gears>
        <gear>
          <state>started</state>
          <id>b2d138a662dd4299863824e3ede3cd70</id>
        </gear>
      </gears>
    </gear-group>
  </data>
  <supported-api-versions>
    <supported-api-version>1.0</supported-api-version>
  </supported-api-versions>
  <version>1.0</version>
  <messages/>
  <status>ok</status>
</response>

[gears]

[root@localhost ~]# curl -k -H "Accept: application/xml" --user "yquan@redhat.com:asdfasdf1"  https://ec2-23-22-34-219.compute-1.amazonaws.com/broker/rest/domains/domaintest0002/applications/php0/gears -X GET
<?xml version="1.0" encoding="UTF-8"?>
<response>
  <type>gears</type>
  <data>
    <gear>
      <uuid>5c665c90243b4a6d91fe49a246d64056</uuid>
      <git-url>ssh://5c665c90243b4a6d91fe49a246d64056@php0-domaintest0002.dev.rhcloud.com/~/git/php0.git/</git-url>
      <components>
        <component>
          <proxy-port>35531</proxy-port>
          <name>php-5.3</name>
          <proxy-host>php0-domaintest0002.dev.rhcloud.com</proxy-host>
          <internal-port>8080</internal-port>
        </component>
        <component>
          <proxy-port nil="true"></proxy-port>
          <name>haproxy-1.4</name>
          <proxy-host nil="true"></proxy-host>
          <internal-port nil="true"></internal-port>
        </component>
      </components>
    </gear>
    <gear>
      <uuid>b2d138a662dd4299863824e3ede3cd70</uuid>
      <git-url>ssh://b2d138a662dd4299863824e3ede3cd70@php0-domaintest0002.dev.rhcloud.com/~/git/php0.git/</git-url>
      <components>
        <component>
          <proxy-port>35536</proxy-port>
          <name>php-5.3</name>
          <proxy-host>b2d138a662-domaintest0002.dev.rhcloud.com</proxy-host>
          <internal-port>8080</internal-port>
        </component>
      </components>
    </gear>
  </data>
  <supported-api-versions>
    <supported-api-version>1.0</supported-api-version>
  </supported-api-versions>
  <version>1.0</version>
  <messages/>
  <status>ok</status>
</response>

Note You need to log in before you can comment on or make changes to this bug.